Search documentation of ash

# Ash.Resource.Calculation.LoadAttribute (ash v3.4.71)

View Source

Loads an attribute as a calculation.

Can be used to load the same attribute with different load statements applied.

# Summary

## Functions

calculate(list, opts, context)

Callback implementation for `Ash.Resource.Calculation.calculate/3`.

describe(opts)

Callback implementation for `Ash.Resource.Calculation.describe/1`.

has_calculate?()
has_expression?()

Callback implementation for `Ash.Resource.Calculation.has_expression?/0`.

init(opts)

Callback implementation for `Ash.Resource.Calculation.init/1`.

load(query, opts, arg3)

Callback implementation for `Ash.Resource.Calculation.load/3`.

strict_loads?()

Callback implementation for `Ash.Resource.Calculation.strict_loads?/0`.

# Functions

# calculate(list, opts, context)

Callback implementation for `Ash.Resource.Calculation.calculate/3`.

# describe(opts)

Callback implementation for `Ash.Resource.Calculation.describe/1`.

# has_calculate?()

# has_expression?()

Callback implementation for `Ash.Resource.Calculation.has_expression?/0`.

# init(opts)

Callback implementation for `Ash.Resource.Calculation.init/1`.

# load(query, opts, arg3)

Callback implementation for `Ash.Resource.Calculation.load/3`.

# strict_loads?()

Callback implementation for `Ash.Resource.Calculation.strict_loads?/0`.